# Deployer recipe for OXID 7.x

This project uses [Deployer](https://deployer.org/) for scripted installation.

The project can usually also be used for projects based on OXID 6.4 and 6.5.

### Server setup

Install [Composer](https://getcomposer.org/).

Run the command `composer create-project --no-dev d3/oxid-deployer-project deployer ^1.0`

After that, add an alias for the deployer command: `alias dep='/usr/local/php8.2/bin/php /home/XXX/deployer/vendor/bin/dep'` and reload the changed configuration.

Rename `inventory.yml.dist` to `inventory.yml` and change project settings in it. 

Make sure, that Deployer has at least read access to the customers repository.

Commit changed files in the customers repository.

### Update Deployer

- `cd deployer`
- `composer update`
- apply changes in the `inventory.yml`
- commit changes

## Project

### Deployment

- `cd deployer`
- `dep deploy [stage]`

### Rollback

... in case of errors after successful deployment

This command set `current` directory to previous deployment:

- `dep rollback [stage]`

## Other available tasks

Run `dep list` to show all available tasks.